#
# spec file for package python-pyocr
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-pyocr
Version:        0.4.1
Release:        1.2
License:        GPL-3.0+
Summary:        Python wrapper for OCR engines
Url:            https://github.com/jflesch/pyocr
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/p/pyocr/pyocr-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-Pillow
Requires:       python-Pillow 
Recommends:     cuneiform
Recommends:     tesseract-ocr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A Python wrapper for OCR engines (Tesseract, Cuneiform, etc)

%prep
%setup -q -n pyocr-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Wed Oct  5 2016 mailaender@opensuse.org
- update to version 0.4.1
* Sun Aug 10 2014 jw@owncloud.com
- v0.2.3 initial pull from pypi
